phpCAS version 1.3.6

Namespaces | Functions | Variables
PGT storage on the filesystem
Implementation » CAS Proxy features (CAS 2.0, Proxy Granting Tickets) » PGT storage

## Namespaces
| PhpCAS

## Functions
| CAS_PGTStorage_File::getPath ()
| CAS_PGTStorage_File::getStorageType ()
| CAS_PGTStorage_File::getStorageInfo ()
| CAS_PGTStorage_File::__construct ($cas_parent, $path)
| CAS_PGTStorage_File::init ()
| CAS_PGTStorage_File::getPGTIouFilename ($pgt_iou)
| CAS_PGTStorage_File::write ($pgt, $pgt_iou)
| CAS_PGTStorage_File::read ($pgt_iou)

## Variables
| CAS_PGTStorage_File::$_path

## Detailed Description

## Function Documentation

## ◆ __construct()

CAS_PGTStorage_File::__construct | ( |  | $cas_parent,
|  |  | $path
| ) |  |

The class constructor, called by CAS_Client::SetPGTStorageFile().

Parameters

  CAS_Client | $cas_parent | the CAS_Client instance that creates the object.
  string | $path | the path where the PGT's should be stored

Returns
  void

Definition at line 115 of file File.php.

References CAS_PGT_STORAGE_FILE_DEFAULT_PATH, phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ getPath()

CAS_PGTStorage_File::getPath | ( |  | ) |
| private

This method returns the name of the directory where PGT's should be stored on the filesystem.

Returns
  the name of a directory (with leading and trailing '/')

Definition at line 68 of file File.php.

References CAS_PGTStorage_File\$_path.

Referenced by CAS_PGTStorage_File\getPGTIouFilename().

## ◆ getPGTIouFilename()

CAS_PGTStorage_File::getPGTIouFilename | ( |  | $pgt_iou | ) |
| private

This method returns the filename corresponding to a PGT Iou.

Parameters

  string | $pgt_iou | the PGT iou.

Returns
  a filename

Definition at line 180 of file File.php.

References CAS_PGTStorage_File\getPath(), phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

Referenced by CAS_PGTStorage_File\read(), and CAS_PGTStorage_File\write().

## ◆ getStorageInfo()

CAS_PGTStorage_File::getStorageInfo | ( |  | ) |

This method returns an informational string giving informations on the parameters of the storage.(used for debugging purposes).

Returns
  an informational string.

Definition at line 96 of file File.php.

## ◆ getStorageType()

CAS_PGTStorage_File::getStorageType | ( |  | ) |

This method returns an informational string giving the type of storage used by the object (used for debugging purposes).

Returns
  an informational string.

Definition at line 84 of file File.php.

## ◆ init()

CAS_PGTStorage_File::init | ( |  | ) |

This method is used to initialize the storage. Halts on error.

Returns
  void

Definition at line 156 of file File.php.

References CAS_PGTStorage_AbstractStorage\isInitialized(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ read()

CAS_PGTStorage_File::read | ( |  | $pgt_iou | ) |

This method reads a PGT corresponding to a PGT Iou and deletes the corresponding file.

Parameters

  string | $pgt_iou | the PGT iou

Returns
  the corresponding PGT, or FALSE on error

Definition at line 234 of file File.php.

References phpCAS\error(), CAS_PGTStorage_File\getPGTIouFilename(), phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ write()

CAS_PGTStorage_File::write | ( |  | $pgt,
|  |  | $pgt_iou
| ) |  |

This method stores a PGT and its corresponding PGT Iou into a file. Echoes a warning on error.

Parameters

  string | $pgt | the PGT
  string | $pgt_iou | the PGT iou

Returns
  void

Definition at line 201 of file File.php.

References phpCAS\error(), CAS_PGTStorage_File\getPGTIouFilename(), phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## Variable Documentation

## ◆ $_path

CAS_PGTStorage_File::$_path
| private

a string telling where PGT's should be stored on the filesystem. Written by PGTStorageFile::PGTStorageFile(), read by getPath().

Definition at line 58 of file File.php.

Referenced by CAS_PGTStorage_File\getPath().